# Pokémon GO Average Scaled Estimators

## Installation

The most recent commit can be installed directly from this public PyPI package registry:

```console
pip install --index-url https://git.blorp.dev/api/packages/zo/pypi/simple pogo_scaled_estimators
```

This package can otherwise be installed locally in development mode:

```console
git clone https://git.blorp.dev/zo/pogo-scaled-estimators.git
cd pogo-scaled-estimators
pip install -e .
```

## Usage

To run the simulations, choose your parameters such as attacker type, attacker level, and whether Party Power is active.
Display the average scaled estimators for attackers of the given type:

```console
ase-cli POKEMON_TYPE_GRASS                    # Grass attackers. Defaults to level 40 and no Party Power.
ase-cli --level 30 POKEMON_TYPE_GRASS         # Level 30 Grass attackers, no Party Power.
ase-cli --party 2 POKEMON_TYPE_GRASS          # Level 40 Grass attackers, Party Power with two trainers.
ase-cli POKEMON_TYPE_DARK POKEMON_TYPE_GHOST  # Combined Dark and Ghost attackers.
```

The list of attackers can be filtered to exclude Mega, Shadow, or Legendary Pokémon. The simulations can also exclude
exclusive moves, also called legacy or elite moves. For example:

```console
ase-cli --no-mega --no-shadow POKEMON_TYPE_FIRE  # Non-shadow, non-mega Fire attackers.
ase-cli --no-legendary POKEMON_TYPE_FIRE         # Non-legendary Fire attackers.
ase-cli --no-legacy POKEMON_TYPE_FIRE            # Fire attackers, excluding any legacy move.
```
